/*
 * Copyright 2018 Daniel Gultsch
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package im.quicksy.server.utils;

import java.security.SecureRandom;

public class CodeGenerator {

    private static final char[] VALID_CHARS = "ABCDEFGHJKLMNPQRSTUVWXYZ23456789".toCharArray();

    public static String generate(int length) {
        final SecureRandom random = new SecureRandom();
        StringBuilder builder = new StringBuilder();
        for (int i = 0; i < length; ++i) {
            builder.append(VALID_CHARS[random.nextInt(VALID_CHARS.length - 1)]);
        }
        return builder.toString();
    }
}
